// SysUtilDlg.h : header file
//

#if !defined(AFX_SYSUTILDLG_H__4AB48E2D_E8B7_4BE2_9F34_82B455DEAB20__INCLUDED_)
#define AFX_SYSUTILDLG_H__4AB48E2D_E8B7_4BE2_9F34_82B455DEAB20__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "NMPMEMory.h"
#include "NMPRegClass.H"
/////////////////////////////////////////////////////////////////////////////
// CSysUtilDlg dialog

class CSysUtilDlg : public CDialog
{
// Construction
public:
	CNMPRegDesktopClass *m_RegDesktop;
	CNMPRegOSClass *m_RegOSClass;
	BOOL m_bIsUser;
	void GetRegStatus();
	void GetDrivesStatus();
	CSysUtilDlg(CWnd* pParent = NULL);	// standard constructor
    CNMPDrivesClass *m_DrvClass;
// Dialog Data
	//{{AFX_DATA(CSysUtilDlg)
	enum { IDD = IDD_SYSUTIL_DIALOG };
	CListCtrl	m_ListCtrlDrives;
	BOOL	m_bAppearenceTab;
	BOOL	m_bBackGroundTab;
	BOOL	m_bChangePass;
	BOOL	m_bContextMenu;
	BOOL	m_bDesktopIcon;
	BOOL	m_bDisplay;
	BOOL	m_bFind;
	BOOL	m_bNetworkAccess;
	BOOL	m_bRegEdit;
	BOOL	m_bRun;
	BOOL	m_bScreenSaver;
	BOOL	m_bSettingTab;
	BOOL	m_bShutDown;
	BOOL	m_bTaskBarsetting;
	BOOL	m_bTaskMgr;
	BOOL	m_bContralPanel;
	BOOL	m_bCurrentUser;
	
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSysUtilDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSysUtilDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSysDisableDrives();
	afx_msg void OnSysEnableDrives();
	afx_msg void OnButtonApply();
	afx_msg void OnSysRefresh();
	afx_msg void OnSysVisit();
	afx_msg void OnCheckCurrentUser();
	afx_msg void OnCheckLocalMachine();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYSUTILDLG_H__4AB48E2D_E8B7_4BE2_9F34_82B455DEAB20__INCLUDED_)
