// NMPMemory.h: interface for the CNMPMemory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NMPMEMORY_H__EAB5F89D_8226_4267_B9AA_309B414E4601__INCLUDED_)
#define AFX_NMPMEMORY_H__EAB5F89D_8226_4267_B9AA_309B414E4601__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "winbase.h"
#include <atlbase.h>

class AFX_EXT_CLASS CNMPMemory  
{
	MEMORYSTATUS memory;
public:
	void GetTotalAvailVirtual(int &Total,int &Available);
	void GetTotalAvailPageFile(int &Total,int &Available);
	void GetTotalAvailMemory(int &Total,int &Available);
	CNMPMemory();
	virtual ~CNMPMemory();

};

class AFX_EXT_CLASS CNMPDrivesClass  
{  
	
	CString NMPChangeToBinary(DWORD dwVar);
public:

	void SendTypeOFDrives(CUIntArray &Stat);
	void NMPDisableLocalDrives(CUIntArray &a);
	CRegKey m_LocalKey;
	void NMPReturnNoOfDrives(CUIntArray &NoOfDrives);

	void SendStatusOFDrives(CUIntArray &stat);
	BOOL GetDrivesVolume(CStringArray &VolumeName,CDWordArray &SerialNumber,CStringArray &FileSystem);
	
	
	CNMPDrivesClass();
	CNMPDrivesClass(CString SID);
	CNMPDrivesClass(BOOL bUser);
	virtual ~CNMPDrivesClass();
	
private:
	CRegKey f;
	

};
int GetCpuUsage();
int GetCpuUsage1(LPCTSTR pProcessName);
#endif // !defined(AFX_NMPMEMORY_H__EAB5F89D_8226_4267_B9AA_309B414E4601__INCLUDED_)
