// SysUtilDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SysUtil.h"
#include "SysUtilDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSysUtilDlg dialog

CSysUtilDlg::CSysUtilDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSysUtilDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSysUtilDlg)
	m_bAppearenceTab = FALSE;
	m_bBackGroundTab = FALSE;
	m_bChangePass = FALSE;
	m_bContextMenu = FALSE;
	m_bDesktopIcon = FALSE;
	m_bDisplay = FALSE;
	m_bFind = FALSE;
	m_bNetworkAccess = FALSE;
	m_bRegEdit = FALSE;
	m_bRun = FALSE;
	m_bScreenSaver = FALSE;
	m_bSettingTab = FALSE;
	m_bShutDown = FALSE;
	m_bTaskBarsetting = FALSE;
	m_bTaskMgr = FALSE;
	m_bContralPanel = FALSE;
	m_bCurrentUser = TRUE;

	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32

	this->m_bIsUser=TRUE;
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSysUtilDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSysUtilDlg)
	DDX_Control(pDX, IDC_LIST_DRIVES, m_ListCtrlDrives);
	DDX_Check(pDX, IDC_CHECK_APPEARENCE, m_bAppearenceTab);
	DDX_Check(pDX, IDC_CHECK_BACKGROUNDTAB, m_bBackGroundTab);
	DDX_Check(pDX, IDC_CHECK_CHANGEPASSS, m_bChangePass);
	DDX_Check(pDX, IDC_CHECK_CONTEXTMENU, m_bContextMenu);
	DDX_Check(pDX, IDC_CHECK_DESKTOPICON, m_bDesktopIcon);
	DDX_Check(pDX, IDC_CHECK_DISPLAY, m_bDisplay);
	DDX_Check(pDX, IDC_CHECK_FIND, m_bFind);
	DDX_Check(pDX, IDC_CHECK_NETWORKACCESS, m_bNetworkAccess);
	DDX_Check(pDX, IDC_CHECK_REGEDIT, m_bRegEdit);
	DDX_Check(pDX, IDC_CHECK_RUN, m_bRun);
	DDX_Check(pDX, IDC_CHECK_SCREENSAVERTAB, m_bScreenSaver);
	DDX_Check(pDX, IDC_CHECK_SETTINGANDPLUSTAB, m_bSettingTab);
	DDX_Check(pDX, IDC_CHECK_SHUTDOWN, m_bShutDown);
	DDX_Check(pDX, IDC_CHECK_TASKBARSETTING, m_bTaskBarsetting);
	DDX_Check(pDX, IDC_CHECK_TASKMGR, m_bTaskMgr);
	DDX_Check(pDX, IDC_CONTRALPANEL, m_bContralPanel);
	DDX_Check(pDX, IDC_CHECK_CURRENT_USER, m_bCurrentUser);

	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSysUtilDlg, CDialog)
	//{{AFX_MSG_MAP(CSysUtilDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(ID_SYS_DISABLE_DRIVES, OnSysDisableDrives)
	ON_BN_CLICKED(ID_SYS_ENABLE_DRIVES, OnSysEnableDrives)
	ON_BN_CLICKED(IDC_BUTTON_APPLY, OnButtonApply)
	ON_BN_CLICKED(ID_SYS_REFRESH, OnSysRefresh)
	ON_BN_CLICKED(ID_SYS_VISIT, OnSysVisit)
	ON_BN_CLICKED(IDC_CHECK_CURRENT_USER, OnCheckCurrentUser)
	ON_BN_CLICKED(IDC_CHECK_LOCAL_MACHINE, OnCheckLocalMachine)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSysUtilDlg message handlers

BOOL CSysUtilDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	this->m_ListCtrlDrives.InsertColumn(0,"Drives",LVCFMT_LEFT,20);
	this->m_ListCtrlDrives.InsertColumn(1,"Drives Type",LVCFMT_LEFT,20);
	this->m_ListCtrlDrives.InsertColumn(2,"Volume Label",LVCFMT_LEFT,20);
	this->m_ListCtrlDrives.InsertColumn(3,"File Sytem",LVCFMT_LEFT,20);
	this->m_ListCtrlDrives.InsertColumn(4,"Status",LVCFMT_LEFT,20);

	//this->m_ListCtrlDrives.InsertColumn(0,"Drives",LVCFMT_LEFT,20);
	this->m_ListCtrlDrives.SetColumnWidth(0,20);
	this->m_ListCtrlDrives.SetColumnWidth(1,strlen("Drives Type")*8);
	this->m_ListCtrlDrives.SetColumnWidth(2,strlen("Volume Label")*12);
	this->m_ListCtrlDrives.SetColumnWidth(3,strlen("File System")*4);
	this->m_ListCtrlDrives.SetColumnWidth(4,strlen("Status")*12);

    ///Get Drives Current Status
	this->GetDrivesStatus();
	//get registry status
	this->GetRegStatus();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSysUtilDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSysUtilDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSysUtilDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CSysUtilDlg::GetDrivesStatus()
{
	this->m_ListCtrlDrives.DeleteAllItems();

	CUIntArray Drv,StatType,Status;
	CString str;
	CStringArray VolumeName,FileSystem;
	CDWordArray SerialNumber;

	 if(this->m_bIsUser==TRUE)
	 {
		this->m_DrvClass=new CNMPDrivesClass(TRUE);	
	 }else
	 {
		 this->m_DrvClass=new CNMPDrivesClass(FALSE);
	 }
	
	this->m_DrvClass->NMPReturnNoOfDrives(Drv);
	this->m_DrvClass->SendTypeOFDrives(StatType);
	this->m_DrvClass->GetDrivesVolume(VolumeName,SerialNumber,FileSystem);
	this->m_DrvClass->SendStatusOFDrives(Status);
	
	///Deleting Memory
	
	delete this->m_DrvClass;

	for(int i=0;i<Drv.GetSize();i++)
	 {
		///adding Drives Name
		str.Format("%c:",Drv.GetAt(i));
		this->m_ListCtrlDrives.InsertItem(i,str);
		///Adding type of drives
	
		CString str1;
		switch(int(StatType.GetAt(i)-48))
		{
		case 0:str1="Floppy Drive";break;
		case 1:str1="Hard Disk";break;
		case 2:str1="CD ROM";break;
		case 3:str1="Ram Disk";break;
		case 4:str1="NetWork Drives";break;
		case 5:str1="UnKnown Drive";break;
		}

		this->m_ListCtrlDrives.SetItemText(i,1,str1);

		//Adding Volume label
		if(VolumeName.GetAt(i)=="")
		{
		this->m_ListCtrlDrives.SetItemText(i,2,"No Volume Label");
		}else
		{
		this->m_ListCtrlDrives.SetItemText(i,2,VolumeName.GetAt(i));
		}

		//adding Drives FileSystem
		this->m_ListCtrlDrives.SetItemText(i,3,FileSystem.GetAt(i));

		///Getting Status
		int iDisable=0;
			 if(Drv.GetAt(i)==Status.GetAt(iDisable))
			 {
						 
				this->m_ListCtrlDrives.SetItemText(i,4,"Disabled");		 
				 iDisable++;
			 }else
			 {
				 this->m_ListCtrlDrives.SetItemText(i,4,"Enabled");		 
				 
			  }
		}



}

	
void CSysUtilDlg::GetRegStatus()
{
		if(this->m_bIsUser==TRUE)
		{
			this->m_RegOSClass= new CNMPRegOSClass(TRUE);
			this->m_RegDesktop=new CNMPRegDesktopClass(TRUE);
		}
		else
		 {
			this->m_RegOSClass= new CNMPRegOSClass(FALSE);
			this->m_RegDesktop=new CNMPRegDesktopClass(FALSE);
			
		 }

			//os1
			if(m_RegOSClass->ViewOSChangePassword()==TRUE)
			 	this->m_bChangePass=TRUE;
			else
				this->m_bChangePass=FALSE;

			//os2
			if(m_RegOSClass->ViewOSContralPanel()==TRUE)
			 this->m_bContralPanel=TRUE;
			else
				this->m_bContralPanel=FALSE;

			//os3
			if(m_RegOSClass->ViewOSFind()==TRUE)
			 	this->m_bFind=TRUE;
			else
				this->m_bFind=FALSE;
				
			
			//os4
			if(m_RegOSClass->ViewOSNetworkAccess()==TRUE)
			 	this->m_bNetworkAccess=TRUE;
			else
				this->m_bNetworkAccess=FALSE;


			//os6
			if(m_RegOSClass->ViewOSRegEdit()==TRUE)
			 this->m_bRegEdit=TRUE;
			else
			   this->m_bRegEdit=FALSE;
			
			//os7
			if(m_RegOSClass->ViewOSRun()==TRUE)
			 	this->m_bRun=TRUE;
			else
				this->m_bRun=FALSE;

			//os8
			if(m_RegOSClass->ViewOSShutDown()==TRUE)
				this->m_bShutDown=TRUE;
			else
				this->m_bShutDown=FALSE;

			//os9
			if(m_RegOSClass->ViewOSTaskBarSetting()==TRUE)
			 	this->m_bTaskBarsetting=TRUE;
			else
				this->m_bTaskBarsetting=FALSE;

			//os10
			if(m_RegOSClass->ViewOSTaskManager()==TRUE)
			 	this->m_bTaskMgr=TRUE;
			else
				this->m_bTaskMgr=FALSE;


			///desktop registry
		
			//desk2
			if(m_RegDesktop->ViewAppearenceTab()==TRUE)
				this->m_bAppearenceTab=TRUE;
			else
				this->m_bAppearenceTab=FALSE;

			//desk3
			if(m_RegDesktop->ViewBackGroundTab()==TRUE)
				this->m_bBackGroundTab=TRUE;
			else
				this->m_bBackGroundTab=FALSE;

		//desk4
			if(m_RegDesktop->ViewContextMenu()==TRUE)
				this->m_bContextMenu=TRUE;
			else
				this->m_bContextMenu=FALSE;

			//desk5
			if(m_RegDesktop->ViewDesktopIcons()==TRUE)
				this->m_bDesktopIcon=TRUE;
			else
				this->m_bDesktopIcon=FALSE;

			//desk6
			if(m_RegDesktop->ViewDisplayTab()==TRUE)
				this->m_bDisplay=TRUE;
			else
				this->m_bDisplay=FALSE;

			//desk7
			if(m_RegDesktop->ViewScreenSaverTab()==TRUE)
				this->m_bScreenSaver=TRUE;
			else
				this->m_bScreenSaver=FALSE;
			
			//desk8
			if(m_RegDesktop->ViewSettingAndPlusTab()==TRUE)
				this->m_bSettingTab=TRUE;
			else
			    this->m_bSettingTab=FALSE;

			UpdateData(FALSE);
		
			///removing memory
			delete this->m_RegOSClass;
			delete this->m_RegDesktop;
	}



	void CSysUtilDlg::OnSysDisableDrives() 
	{
		// TODO: Add your control notification handler code here
		
			 if(this->m_bIsUser==TRUE)
			 {
				 this->m_DrvClass=new CNMPDrivesClass(TRUE);	
			 }
			 else
			 {
				 this->m_DrvClass=new CNMPDrivesClass(FALSE);
			 }
			 
			 CUIntArray Stat;
			 
			 this->m_DrvClass->SendStatusOFDrives(Stat);

			 
			 POSITION pos;
			 
			 pos=this->m_ListCtrlDrives.GetFirstSelectedItemPosition();
			 
			 if(pos==NULL)
			 {
				 
				 MessageBox("Please Select the Drive to Disable");
			     delete this->m_DrvClass;
				 return;
			 }
			 else
			 {
				 int nItem=this->m_ListCtrlDrives.GetNextSelectedItem(pos);
				 CString str=this->m_ListCtrlDrives.GetItemText(nItem,0);
				 MessageBox(str);
				 
				 Stat.Add(char(str.GetAt(0)));	  
				 this->m_DrvClass->NMPDisableLocalDrives(Stat);
			 }
			 ////
			 //refreshing values
			 ////
			 this->GetDrivesStatus();
	}

	void CSysUtilDlg::OnSysEnableDrives() 
	{
		// TODO: Add your control notification handler code here
			 if(this->m_bIsUser==TRUE)
			 {
				 this->m_DrvClass=new CNMPDrivesClass(TRUE);
				 
			 }else
			 {
				 this->m_DrvClass=new CNMPDrivesClass(FALSE);
			 }
	
		
		POSITION pos;
		CUIntArray Stat;

		this->m_DrvClass->SendStatusOFDrives(Stat);
		pos=this->m_ListCtrlDrives.GetFirstSelectedItemPosition();
		

		if(pos==NULL)
		{
			MessageBox("pls select the drive to enable");
			delete this->m_DrvClass;
			return;
		}
		else
		{
			int nItem=this->m_ListCtrlDrives.GetNextSelectedItem(pos);
			CString str=this->m_ListCtrlDrives.GetItemText(nItem,0);
			MessageBox(str);
			
				 for(int i=0;i<Stat.GetSize();i++)
				 {
					 if(Stat.GetAt(i)==UINT(str.GetAt(0)))
					 {
						 Stat.RemoveAt(i);
					   break;
					 }
				 }
				 
				this->m_DrvClass->NMPDisableLocalDrives(Stat);
		}
		this->GetDrivesStatus();
		
	}



		void CSysUtilDlg::OnButtonApply() 
		{
			// TODO: Add your control notification handler code here
				
				if(this->m_bIsUser==TRUE)
				{
					this->m_RegOSClass= new CNMPRegOSClass(TRUE);
					this->m_RegDesktop=new CNMPRegDesktopClass(TRUE);
				}
				else
				{
					this->m_RegOSClass= new CNMPRegOSClass(FALSE);
					this->m_RegDesktop=new CNMPRegDesktopClass(FALSE);
					
				}

			this->UpdateData();
		
			//os1
			m_RegOSClass->NMPDisableChangePassword(this->m_bChangePass);
			//os2
			m_RegOSClass->NMPContralPanel(this->m_bContralPanel);
			//os3
			m_RegOSClass->NMPDisableFind(this->m_bFind);			
			//os4
			m_RegOSClass->NMPDisableNetworkAccess(this->m_bNetworkAccess);
			//os6
			m_RegOSClass->NMPRegEdit(this->m_bRegEdit);
			//os7
			m_RegOSClass->NMPDisableRun(this->m_bRun);
			//os8
			m_RegOSClass->NMPDisableShutDown(this->m_bShutDown);
			//os9
			m_RegOSClass->NMPDisableTaskBarSettingsChange(this->m_bTaskBarsetting);
			//os10
			m_RegOSClass->NMPTaskManager(this->m_bTaskMgr);
		
			///desktop registry
			//desk2
			m_RegDesktop->RestricyAppearenceTab(this->m_bAppearenceTab);
			//desk3
			m_RegDesktop->RestrictBackGroundTab(this->m_bBackGroundTab);
			//desk4
			m_RegDesktop->DisableContextMenu(this->m_bContextMenu);
			//desk5
			m_RegDesktop->HideDesktopIcons(this->m_bDesktopIcon);
			//desk6
			m_RegDesktop->RestrictDisplay(m_bDisplay);
			//desk7
			m_RegDesktop->RestrictScreensaverTab(this->m_bScreenSaver);
			//desk8
			m_RegDesktop->RestrictSettingsAndPlusTab(this->m_bSettingTab);
			

				
			///removing memory
			delete this->m_RegOSClass;
			delete this->m_RegDesktop;

			///get previous status
            this->GetRegStatus();
		}

		void CSysUtilDlg::OnSysRefresh() 
		{
			// TODO: Add your control notification handler code here
			this->GetRegStatus();
		}

	void CSysUtilDlg::OnSysVisit() 
	{
		// TODO: Add your control notification handler code here
		ShellExecute(NULL, "open", "http://www.thisisalok.tk", NULL, NULL, SW_SHOWNORMAL);
	}

	void CSysUtilDlg::OnCheckCurrentUser() 
	{
	//	this->UpdateData();

		if(this->m_bCurrentUser==TRUE)
        {

			this->m_bCurrentUser=FALSE;
		//	this->m_bLocalMachine=TRUE;
		}
		else
		{
			this->m_bCurrentUser=TRUE;
		//	this->m_bLocalMachine=FALSE;
		}
		
		this->UpdateData(FALSE);
           //refresh status
			this->GetRegStatus();
			this->GetDrivesStatus();
   		 
	}

	void CSysUtilDlg::OnCheckLocalMachine() 
	{
			// TODO: Add your control notification handler code here
//	this->UpdateData();

	/*	if(this->m_bLocalMachine==TRUE)
        {
			this->m_bCurrentUser=TRUE;
		//	this->m_bLocalMachine=FALSE;

		}
		else
		{
			this->m_bCurrentUser=FALSE;
		//	this->m_bLocalMachine=TRUE;
		}
		
		this->UpdateData(FALSE);*/

		//refresh status
			this->GetRegStatus();
			this->GetDrivesStatus();
	}
